tidy.power.htest {broom} | R Documentation

## Tidy a(n) power.htest object

### Description

Tidy summarizes information about the components of a model. A model component might be a single term in a regression, a single hypothesis, a cluster, or a class. Exactly what tidy considers to be a model component varies cross models but is usually self-evident. If a model has several distinct types of components, you will need to specify which components to return.

### Usage

    ## S3 method for class 'power.htest'
    tidy(x, ...)

### Arguments

`x` | A `power.htest` object such as those returned from `stats::power.t.test()`.

`...`

Additional arguments. Not used. Needed to match generic signature only. Cautionary note: Misspelled arguments will be absorbed in `...`, where they will be ignored. If the misspelled argument has a default value, the default value will be used. For example, if you pass `conf.lvel = 0.9`, all computation will proceed using `conf.level = 0.95`. Additionally, if you pass `newdata = my_tibble` to an `augment()` method that does not accept a `newdata` argument, it will use the default value for the `data` argument.

### Value

A data frame with one row per parameter passed in, with columns `n`, `delta`, `sd`, `sig.level`, and `power`.

### See Also

`stats::power.t.test()`

Other htest tidiers: `augment.htest`, `tidy.htest`, `tidy.pairwise.htest`

### Examples

    ptt <- power.t.test(n = 2:30, delta = 1)
    tidy(ptt)

    library(ggplot2)

    ggplot(tidy(ptt), aes(n, power)) +
      geom_line()

[Package broom version 0.5.2 Index]